<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <!--
     - Basic Information
     -->
    <artifactId>greenpepper-samples</artifactId>
    <packaging>jar</packaging>
    <name>GreenPepper Samples</name>

    <parent>
        <groupId>com.github.strator-dev.greenpepper</groupId>
        <artifactId>greenpepper-open</artifactId>
        <version>4.2.5-SNAPSHOT</version>
    </parent>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>test-jar</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>com.github.strator-dev.greenpepper</groupId>
                <artifactId>greenpepper-maven-plugin</artifactId>
                <version>${project.version}</version>
                <configuration>
                    <source>1.5</source>
                    <target>1.5</target>
                    <fixtureSourceDirectory>src/fixture/java</fixtureSourceDirectory>
                    <fixtureOutputDirectory>target/fixture-test-classes</fixtureOutputDirectory>
                    <systemUnderDevelopment>com.greenpepper.samples.application.bank.BankSystemUnderDevelopment</systemUnderDevelopment>
					<reportsType>xml</reportsType>
                    <resources>
                        <resource>
                            <directory>src/fixture/resources</directory>
                        </resource>
                    </resources>
                    <repositories>
                        <repository>
                            <type>com.greenpepper.runner.repository.GreenPepperRepository</type>
                            <root>
                                <![CDATA[http://www.greenpeppersoftware.com/confluence/rpc/xmlrpc?handler=greenpepper1&sut=Bank in Java&includeStyle=false&postExecutionResult=${greenpepper.postExecutionResult}]]>
                            </root>
                            <name>greenpepper</name>
                            <suites>
                                <suite>GreenPepper-BNKT</suite>
                            </suites>
                        </repository>
                    </repositories>
                </configuration>
                <executions>
                    <execution>
                        <id>greenpepper</id>
                        <goals>
                            <goal>compile</goal>
                            <goal>resources</goal>
                            <goal>fixture-jar</goal>
                            <!-- <goal>run</goal> -->
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <artifactId>maven-assembly-plugin</artifactId>
                <configuration>
                    <descriptors>
                        <descriptor>src/assembly/src.xml</descriptor>
                    </descriptors>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>com.github.strator-dev.greenpepper</groupId>
            <artifactId>greenpepper-samples-application</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.github.strator-dev.greenpepper</groupId>
            <artifactId>greenpepper-extensions-java</artifactId>
            <version>${project.version}</version>
        </dependency>
		<dependency>
			<groupId>org.beanshell</groupId>
			<artifactId>bsh</artifactId>
			<version>2.0b4</version>
		</dependency>		
        <dependency>
            <groupId>hsqldb</groupId>
            <artifactId>hsqldb</artifactId>
            <version>1.8.0.1</version>
            <scope>test</scope>
        </dependency>
    </dependencies>
</project>
